Bug 1564150 - [RFE] pop-up windows are not resizeable
Summary: [RFE] pop-up windows are not resizeable
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.1
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 13:32 UTC by Andreas Bleischwitz
Modified: 2020-08-03 15:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:47:47 UTC
oVirt Team: Storage
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)
Manage domain with relevant information covered by scrollbar (64.22 KB, image/png)
2018-04-05 13:32 UTC, Andreas Bleischwitz
no flags Details

Description Andreas Bleischwitz 2018-04-05 13:32:38 UTC
Created attachment 1417711 [details]
Manage domain with relevant information covered by scrollbar

1. Proposed title of this feature request
Have re-sizeable pop-up frames in RHV-4.2 UI

3. What is the nature and description of the request?
Some parts of pop-up frames from the administration UI are larger than the default size of the pop-up. This RFE requests that pop-ups should have a handle to re-size them. 

4. Why does the customer need this? (List the business requirements here)
See attached screenshot of the "manage domain" pop-up which renders the text of the LUN-ID to become unreadable due to enabled scroll-bar.

5. How would the customer like to achieve this? (List the functional requirements here)
Provide a re-sizeable pop-up

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

Implement re-size functionality in the following pop-ups:

* Compute
  * New/Edit virtual machine
  * New/Edit template
  * New/Edit pool
  * New/Edit host
  * New/Edit data center (to be consitent)
  * New/Edit cluster
* Network
  * New/Edit VM interface profile
  * New/Edit logical network
* Storage
  * New/Edit data center (could be same as Compute/data center)
  * New/Manage domain (why is this different from the other New/edit label?)
  * New Volume
  * New Disk
* Administration
  * Add/Edit provider
  * Add/Edit quota
  * Add user
  * Configure

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
No

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
No

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
ovirt-engine-webadmin-portal-4.2.1.6-0.1.el7.noarch

11. Would the customer be able to assist in testing this functionality if implemented?
Yes

Comment 2 Yaniv Kaul 2018-04-05 18:54:52 UTC
I'm somewhat surprised ALL those dialogs need resizing. Why is that? Resizing is not trivial and is a challenge, especially to ensure elements still fit logically well. Is there a specific dialog which should be a bit bigger, or otherwise ordered to be useful? Why does 'New Host' for example need resizing?

Comment 3 Greg Sheremeta 2018-04-05 21:02:23 UTC
IIUC, the only 'why' behind this request is a scrollbar hiding a bottom row of a table? That's a 'browser feature' and perhaps a bug on us, and we don't need to resize dialogs for that.

Also, we cannot resize dialogs dynamically, but it's usually easy to statically grow them to a larger hardcoded size on a per-dialog basis.

Ultimately I'd like oVirt to be less dialog-oriented so we stop having these space issues.

Comment 4 Greg Sheremeta 2018-04-05 21:05:10 UTC
Correction -- not a browser feature. I believe it's a GWT DataGrid feature.

http://www.gwtproject.org/javadoc/latest/com/google/gwt/user/client/ui/CustomScrollPanel.html

"instead overlays scrollbars on top of the content"

Comment 5 Andreas Bleischwitz 2018-04-06 06:42:13 UTC
@Yaniv: I most annoying one is the Domain/manage dialog. If an admin has to add storage-luns to a domain and got more than one from the storage-team, he needs to identify the LUN by it's ID. This is often difficult as not all information is visible.

The rest is for completeness. If re-sizing is difficult to solve - i.e. more than the addition of a class-member in HTML or changing an attribute in CSS, we should concentrate on the improvement of the Domain/manage dialog.

Comment 6 Greg Sheremeta 2018-04-06 13:05:40 UTC
Manage Domain dialog -- that dialog needs an entire redesign IMO. The vertical tabs for the luns are weird, and the layout is a huge challenge.

Comment 7 Yaniv Kaul 2018-04-08 07:23:34 UTC
(In reply to Andreas Bleischwitz from comment #5)
> @Yaniv: I most annoying one is the Domain/manage dialog. If an admin has to
> add storage-luns to a domain and got more than one from the storage-team, he
> needs to identify the LUN by it's ID. This is often difficult as not all
> information is visible.
> 
> The rest is for completeness. If re-sizing is difficult to solve - i.e. more
> than the addition of a class-member in HTML or changing an attribute in CSS,
> we should concentrate on the improvement of the Domain/manage dialog.

OK, so I suggest we open a clean bug with this specific dialog. It has been on my mind for a long time to redesign it. We've done a bit of work in 4.2 (it does look cleaner, more useful and it's easier to see what is selected, etc.). Specific comments on the 4.2 dialog are welcome.

Comment 11 Michal Skrivanek 2020-03-18 15:46:44 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 12 Michal Skrivanek 2020-03-18 15:51:30 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 13 Michal Skrivanek 2020-04-01 14:47:47 UTC
ok, closing. Please reopen if still relevant/you want to work on it.

Comment 14 Michal Skrivanek 2020-04-01 14:51:12 UTC
ok, closing. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.